Bug 207630 - Seamonkey needs to obsolete Mozilla for FC6 upgrades.
Seamonkey needs to obsolete Mozilla for FC6 upgrades.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seamonkey (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kai Engert (:kaie) (on vacation)
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 22:06 EDT by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 01:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample spec file for a seamonkey as a mozilla replacement ("RHEL style" but in FC5 and higher context). (29.31 KB, text/plain)
2006-09-22 00:34 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Jim Cornette 2006-09-21 22:06:08 EDT
Description of problem:
Mozilla is no longer included in Fedora or Fedora Extras. This situation will
leave mozilla installed as well as install Seamonkey. Seamonkey will work fine,
but Mozilla will interfere with current packages which are in either repository
since Mozilla is orphaned.
Refer to this thread message for the situation.

https://www.redhat.com/archives/fedora-test-list/2006-September/msg00553.html

Version-Release number of selected component (if applicable):
seamonkey-1.0.5-1.fc6

How reproducible:
Nothing is wrong with seamonkey itself. Seamonkey replaces the Mozilla Suite

Steps to Reproduce:
1. Have mozilla installed
2. Install seamonkey
3. Check for presense of Mozilla
  
Actual results:
Mozilla is installed as well as Seamonkey. Mozilla is not maintained, so it has
security issues.

Expected results:
Seamonkey to either obsolete mozilla or to provide a fake mozilla provides to
remove Mozilla.

Additional info:

For FC5, I know that this solution is not feasable. Seamonkey and Mozilla do not
interefere with each other. no packages are conflicting with Mozilla. As with
the referenced Fedora-test-list thread, FC6 is a different situation, Firefox is
one example.
Comment 1 Michal Jaegermann 2006-09-22 00:34:52 EDT
Created attachment 136926 [details]
sample spec file for a seamonkey as a mozilla replacement ("RHEL style" but in FC5 and higher context).

> For FC5, I know that this solution is not feasable.

Actually such solution also for FC5 is entirely feasible if you
want to replace older mozilla with known security problems with
current seamonkey.  Of course that would require an extra coordination
between "core" and "extras" and recompilation of some packages -
exactly in the same way like when bumping up a mozilla version.

Attached is a spec file I used when repackaging seamonkey for FC5
as an update/replacement for mozilla.  It can be used as a skeleton
for doing the same thing on FC6.
Comment 2 Kai Engert (:kaie) (on vacation) 2006-10-18 23:46:23 EDT
I do not plan to work on this bug.
Comment 3 Jim Cornette 2006-10-19 06:43:59 EDT
Though I successfully removed mozilla from an upgraded FC5 system into FC6 (test
releases), the transition was not smooth.
The priority for a resolution to this bug is low to me. A working version of
seamonkey is the important factor. Seamonkey works fine, mozilla though is a
security risk.
Has Michal's proposed solution been considered?
Comment 4 Jim Cornette 2006-11-13 21:21:20 EST
Closing as a wontfix item.
They got by without this additional feature.
Comment 5 Christopher Aillon 2006-11-22 01:39:13 EST
Firefox has Obsoletes: mozilla in it's spec file.  Seamonkey should *not* have
it for several reasons.

1. Extras packages should *not* obsolete core packages.
2. Seamonkey does *not* provide the same things that mozilla does; namely the
-devel packages, because...
3. Firefox provides the -devel packages, and...
4. Firefox itself obsoletes mozilla in it's spec file.
Comment 6 Jim Cornette 2006-11-22 07:12:21 EST
Thanks for the info. I was unaware that Firefox would remove Mozilla components
and Seamonkey would not need the capability. This scheme explains the lack of
problems reported having Firefox responsible for this action. Bug report
remaining closed.

Note You need to log in before you can comment on or make changes to this bug.